#include <bits/stdc++.h>

using namespace std;

struct Tacka {
	int x,y;
};

int main()
{
	int n,t=0;
	cin>>n;
	Tacka a[n];
	for(int i=0;i<n;i++)
	{
		cin>>a[i].x>>a[i].y;
	}
	for(int i=0;i<n;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			for(int k=0;k<n;k++)
			{
				for(int l=k+1;l<n;l++)
				{
					if(k!=i && k!=j && l!=i && l!=j)
					{
						float dx1=a[i].x-a[j].x,dy1=a[i].y-a[j].y,dx2=a[k].x-a[l].x,dy2=a[k].y-a[l].y;
						if(((dx1==0 && dx2==0) || dy1/dx1==dy2/dx2) && sqrt(dx1*dx1+dy1*dy1)*2==sqrt(dx2*dx2+dy2*dy2))t++;
					}
				}
			}
		}
	}
	cout<<t<<endl;
}